Subject: bug#52697: closed (Re: bug#52697: 29.0.50; pgtk: wrong initial frame parameter values)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Feb 2022 14:13:02 +0000

Your bug report

#52697: 29.0.50; pgtk: wrong initial frame parameter values

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52697: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52697
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52697: 29.0.50; pgtk: wrong initial frame parameter values
From: Stephen Berman <[email-masked]>
To: Po Lu <[email-masked]>
Cc: [email-masked]
Date: Tue, 08 Feb 2022 15:12:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 08 Feb 2022 21:39:17 +0800 Po Lu <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> Thanks very much, I confirm your patch essentially fixes the bug, except
>> for mistakenly switching the top and left parameters:
>>
>> diff --git a/src/pgtkterm.c b/src/pgtkterm.c
>> index e9fd5f83b7..8faffe94d4 100644
>> --- a/src/pgtkterm.c
>> +++ b/src/pgtkterm.c
>> @@ -5552,7 +5552,7 @@ configure_event (GtkWidget *widget,
>>
>>        if (f->win_gravity == NorthWestGravity)
>>  	gtk_window_get_position (GTK_WINDOW (widget),
>> -				 &f->top_pos, &f->left_pos);
>> +				 &f->left_pos, &f->top_pos);
>>        else
>>  	{
>>  	  f->top_pos = event->configure.y;
>>
>>
>> Steve Berman
>
> Thanks, should be fixed now on master.

Thanks, with that I'm closing the bug.

Steve Berman

Subject: 29.0.50; pgtk: wrong initial frame parameter values
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Tue, 21 Dec 2021 10:05:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

With Emacs built from master without pgtk, I start with -Q and evaluate
the following sexps, yielding the results shown:

(alist-get 'left (frame-parameters))
939

(alist-get 'top (frame-parameters))
371

With Emacs built from master with pgtk, I start with -Q and evaluate
the same sexps, yielding the following results:

(alist-get 'left (frame-parameters))
0

(alist-get 'top (frame-parameters))
0

The results in the non-pgtk build are correct: the frame is in the
middle of the screen, not in the upper left corner.  This is with Xfce
and the xfwm4 window manager.

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.29, cairo version 1.17.4)
 of 2021-12-20 built on strobelfs
Repository revision: de797bb853e85e3cc3c9ec71f51e4e78e41af4ab
Repository branch: master
Windowing system distributor 'System Description: Linux From Scratch 10.2-rc1

Configured using:
 'configure --with-pgtk 'CFLAGS=-Og -g3''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LCMS2 LIBSYSTEMD LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PGTK PNG RSVG
SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP XIM GTK3
ZLIB